<?php

namespace ByDedi\AdminBundle\Form\Extension;

use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * Created by PhpStorm.
 * User: FrédéricGuichard
 * Date: 16/11/2016
 * Time: 11:54
 */
class ButtonTypeExtension extends AbstractTypeExtension
{
    public function __construct()
    {
    }

    public function getExtendedType()
    {
        return ButtonType::class;
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function setDefaultOptions(\Symfony\Component\OptionsResolver\Options $resolver)
    {
        $resolver->setDefaults(
            [
                'sonata_field_description' => null,
                'label_render' => null,
            ]
        );
    }

    /**
     * Add the image_path option
     *
     * @param OptionsResolver $resolver
     */
    public function configureOptions(OptionsResolver $resolver)
    {
        $this->setDefaultOptions($resolver);
    }
}
